/*******************************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and Others
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Tatsuya ISHIHARA - initial API and implementation
 *******************************************************************************/
package org.eclipse.actf.model.dom.odf.table;

/**
 * TableConstants defines the constant values used by table namespace of ODF DOM API
 */
@SuppressWarnings("nls")
public final class TableConstants {
	static public final String TABLE_NAMESPACE_URI = "urn:oasis:names:tc:opendocument:xmlns:table:1.0";

	static public final String ELEMENT_TABLE = "table";

	static public final String ELEMENT_TABLE_ROW = "table-row";

	static public final String ELEMENT_TABLE_COLUMN = "table-column";

	static public final String ELEMENT_TABLE_CELL = "table-cell";

	static public final String ELEMENT_COVERED_TABLE_CELL = "covered-table-cell";

	static public final String ELEMENT_TABLE_HEADER_COLUMNS = "table-header-columns";

	static public final String ELEMENT_TABLE_HEADER_ROWS = "table-header-rows";

	static public final String ELEMENT_TABLE_ROWS = "table-rows";

	static public final String ELEMENT_TABLE_COLUMNS = "table-columns";

	static public final String ATTR_STYLE_NAME = "style-name";

	static public final String ATTR_CELL_RANGE_ADDRESS = "cell-range-address";

	static public final String ATTR_END_CELL_ADDRESS = "end-cell-address";

	static public final String ATTR_END_X = "end-cell-x";

	static public final String ATTR_END_Y = "end-cell-y";

	static public final String ATTR_DISPLAY = "display";

	static public final String ATTR_FORMULA = "formula";

	static public final String ATTR_NUMBER_ROWS_REPEATED = "number-rows-repeated";

	static public final String ATTR_NUMBER_COLUMNS_REPEATED = "number-columns-repeated";

	static public final String ATTR_NUMBER_COLUMNS_SPANNED = "number-columns-spanned";

	static public final String ATTR_DEFAULT_CELL_STYLE_NAME = "default-cell-style-name";

	static public final String ATTR_NAME = "name";

	static public final String ATTR_ATTR_PRINT = "attr-print";

	static public final String ATTR_BORDER_MODEL = "border-model";

	static public final String ATTR_STRUCTURE_PROTECTED = "structure-protected";

	static public final String ATTR_PROTECTED = "protected";
}